
ThreatFactor NSIA - Bug #49

Logging Sub-System Causes UI to be Unresponsive

04/08/2010 11:06 PM - Luke Murphey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category: Log Management Estimated time: 0.00 hour

Target version: 1.0.3   

Description

The logging system causes the UI to become unresponsive when it cannot submit the log messages.

History

#1 - 04/08/2010 11:06 PM - Luke Murphey

Need to have log messages handed to a queue thread which them sends them to the log server. Note that this only applies to TCP messages

generally.

#2 - 11/02/2010 01:13 PM - Luke Murphey

- Category set to Log Management

#3 - 01/07/2011 07:12 AM - Luke Murphey

- Assignee set to Luke Murphey

- Target version set to 1.0.3

- Start date deleted (04/08/2010)

#4 - 01/22/2011 09:10 AM - Luke Murphey

- % Done changed from 0 to 100

The TCP connection timeout has been set to 5 seconds. After which, NSIA will not attempt to reconnect to the log server for another minute. This

means that the user will have to experience up to a 5 second delay every minute at most. Most of the time a background operation will trigger the

delay and this the user will not experience any delay. This is sufficient to close this issue.

#5 - 01/22/2011 09:11 AM - Luke Murphey

- Status changed from New to Closed
